extdesc="the MySQL"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

source cascade-make/lib/cascade-lib.bash

if [ "x$GEXTMYSQL" = "x" ] ; then
  export GEXTMYSQL=$fulldir
  export GEXTMYSQL_INSTALLED=$GEXTMYSQL/$GSDLOS

  export PATH=$GEXTMYSQL_INSTALLED/bin:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib:$LD_LIBRARY_PATH
  fi
  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib
  else
    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib:$DYLD_LIBRARY_PATH
  fi

  if [ -e "devel-srcpack" ] ; then
    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/devel/lib:$LD_LIBRARY_PATH
    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
  fi

  
  extdir=${GEXTMYSQL##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi